Name:           maven-assembly-plugin
Summary:        Maven Assembly Plugin
Version:        3.3.0
Release:        %mkrel 1
Group:          Development/Java
License:        ASL 2.0

URL:            https://maven.apache.org/plugins/maven-assembly-plugin/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.maven:maven-archiver) >= 3.5.0
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer) >= 0.11.0
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-filtering)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-io)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver) >= 4.2.0
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io) >= 3.2.0
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) >= 3.3.0

%description
A Maven plugin to create archives of your project's sources, classes,
dependencies etc. from flexible assembly descriptors.


%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.


%prep
%setup -q


%build
# Tests need easymockclassextension version 2.x, which is incompatible
# with easymockclassextension version 3.x we have in Fedora.
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE


%changelog
* Sun Aug 23 2020 neoclust <neoclust> 3.3.0-1.mga8
+ Revision: 1618268
- New version 3.3.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- Update to version 3.1.1

* Thu Sep 20 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1287060
- Update to upstream version 3.1.0 (sync with fc29)
- Update to upstream version 3.0.0 (sync with fc27)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 2.6-9.mga6
+ Revision: 1101398
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 2.6-8.mga6
+ Revision: 1099814
- Compile against Maven 3 APIs
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6-6.mga6
+ Revision: 977289
- First rebuild of the java stack
- sync package maven-assembly-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.4-6.mga5
+ Revision: 807834
- Fix BuildRequires
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 2.4-5.mga5
+ Revision: 748313
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 dmorgan <dmorgan> 2.4-3.mga4
+ Revision: 549419
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 2.4-1.mga4
+ Revision: 453039
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 2.3-3.mga4
+ Revision: 451145
- Migration to plexus-containers-container-default
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gil <gil>
- update to 2.3

* Thu Jan 05 2012 dmorgan <dmorgan> 2.2.2-3.mga2
+ Revision: 191858
- Rebuild with normal plexus-io
- Use plexus-io1 instead of plexus-io in buildrequire

* Sun Dec 25 2011 dmorgan <dmorgan> 2.2.2-2.mga2
+ Revision: 187623
- Fix buildrequires
- Add buildrequire
- Fix patch
- modello removed from requires
- %%update_maven_depmap removed
- Migration from plexus-maven-plugin to plexus-containers-component-metadata
- Missing modello dependency added
- Minor spec file changes according to the latest guidelines
+ gil <gil>
- update to 2.2.2

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2.1-2.mga1
+ Revision: 92689
- Rebuild after bootstrapping
- imported package maven-assembly-plugin


* Thu Mar 17 2011 Alexander Kurtakov <akurtako@redhat.com> 2.2.1-1
- Update to upstream 2.2.1 release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Alexander Kurtakov <akurtako@redhat.com> 2.2-1
- Update to final release.

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.2-0.4.beta5
- Add missing BuildRequires.

* Tue Jun 15 2010 Alexander Kurtakov <akurtako@redhat.com> 2.2-0.3.beta5
- Add missing Requires.

* Thu Jun 03 2010 Yong Yang <yyang@redhat.com> - 2.2-0.2.beta5
- Chmod 0644 for depmap.xml
- Fix Obsoletes and Provides
- Change to BR java

* Thu May 20 2010 Yong Yang <yyang@redhat.com> - 2.2-0.1.beta5
- Initial build
